
package com.tmerclub.cloud.payment.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 退款信息
 *
 * @author lhd
 * @date 2021-08-22 15:26:03
 */
public class RefundInfo extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 退款单号
     */
    private Long refundId;

    /**
     * 关联的支付订单id
     */
    private Long orderId;

    /**
     * 关联的支付单id
     */
    private Long payId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 退款状态-RefundStatus枚举
     */
    private Integer refundStatus;

    /**
     * 退款金额
     */
    private Long refundAmount;

    /**
     * 支付方式
     */
    private Integer payType;

    /**
     * 回调内容
     */
    private String callbackContent;

    /**
     * 回调时间
     */
    private Date callbackTime;

    /**
     * 是否为未成团而退款的团购订单
     */
    private Integer unSuccessGroupOrder;

    public Long getRefundId() {
        return refundId;
    }

    public void setRefundId(Long refundId) {
        this.refundId = refundId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getPayId() {
        return payId;
    }

    public void setPayId(Long payId) {
        this.payId = payId;
    }

    public Integer getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(Integer refundStatus) {
        this.refundStatus = refundStatus;
    }

    public Long getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(Long refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public String getCallbackContent() {
        return callbackContent;
    }

    public void setCallbackContent(String callbackContent) {
        this.callbackContent = callbackContent;
    }

    public Date getCallbackTime() {
        return callbackTime;
    }

    public void setCallbackTime(Date callbackTime) {
        this.callbackTime = callbackTime;
    }

    public Integer getUnSuccessGroupOrder() {
        return unSuccessGroupOrder;
    }

    public void setUnSuccessGroupOrder(Integer unSuccessGroupOrder) {
        this.unSuccessGroupOrder = unSuccessGroupOrder;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "RefundInfo{" +
                "refundId=" + refundId +
                ", orderId=" + orderId +
                ", payId=" + payId +
                ", userId=" + userId +
                ", refundStatus=" + refundStatus +
                ", refundAmount=" + refundAmount +
                ", payType=" + payType +
                ", callbackContent='" + callbackContent + '\'' +
                ", callbackTime=" + callbackTime +
                ", unSuccessGroupOrder=" + unSuccessGroupOrder +
                "} " + super.toString();
    }
}
